GeoServer
  1. GeoServer
  2. GEOS-1830

Allow to limit the list of available CRS's in WMS GetCapabilities

    Details

    • Type: Improvement Improvement
    • Status: Closed Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: 1.6.3
    • Fix Version/s: 1.6.3
    • Component/s: Configuration, WMS
    • Labels:
      None
    • Number of attachments :
      0

      Description

      The WMS capabilities document currently exposes the list of all the geoserver supported CRS's.
      That means 3900+ elements of the type <SRS>EPSG:2588</SRS>, which, by one side, kills most javascript based WMS clients when trying to parse the GetCapabilities document. And by the other hand it makes sense for an installation to expose those CRS codes that make sense for the actual data being served.

      This issue though, is not meant to actually limit the list of CRS's geoserver can operate with, but to just limit the list of exposed ones. So if a request is made over a supported CRS that is not listed in the capabilities document, it should keep working anyways.

      Also, a very basic user interface configuration element shall be included, so its not that hard for users to specify the list of CRS's. This may be as simple as a text area in which to write a comma separated list of epsg codes to expose.

        Activity

        There are no comments yet on this issue.

          People

          • Assignee:
            Gabriel Roldan
            Reporter:
            Gabriel Roldan
          • Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: